Subject: Re: [PATCH 0/4] remote-hg: more improvements

From: Junio C Hamano <[email-masked]>
Date: Wed, 14 May 2014 15:24:51 -0700

David Kastrup <[email-masked]> writes:

> Philippe Vaucher <[email-masked]> writes:
>
>> Thanks for the explanation. I think it underlines well the A)
>> technical issues (quality commits) and the B) social issues (ability
>> to communicate in a friendly way & respond constructively), which we
>> discovered are both *essential* for contributing to git.
>
> I'm not entirely convinced of that: there is something akin to drop-dead
> gorgeous code: code that is so well done that it would not matter with
> regard to its maintenance whether or not its author dropped dead because
> it's both done well as well as documented in a manner where the original
> author could not offer significant additional help.

I would have to say that you are living in a fantasy land.  During
the entire life of Git, I do not think I ever saw such a code that
is perfect from the get-go and did not require any maintenance to
adjust to the changing time.